Package ru.bgcrm.dao

# Class ParamValueSelect

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.ParamValueSelect

public class ParamValueSelect extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PARAM_ADDRESS_FIELD_QUARTER`
  `static final String`
  `PARAM_ADDRESS_FIELD_STREET`
  `static final Set<String>`
  `PARAM_ADDRESS_FIELDS`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamValueSelect()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `paramSelectQuery(String variable, String linkColumn, StringBuilder selectPart, StringBuilder joinPart, boolean addColumnValueAlias)`
  Adds parameter selection query parts.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARAM_ADDRESS_FIELD_QUARTER

    public static final String PARAM_ADDRESS_FIELD_QUARTER
    See Also:
      - Constant Field Values

  - ### PARAM_ADDRESS_FIELD_STREET

    public static final String PARAM_ADDRESS_FIELD_STREET
    See Also:
      - Constant Field Values

  - ### PARAM_ADDRESS_FIELDS

    public static final Set<String> PARAM_ADDRESS_FIELDS

- ## Constructor Details

  - ### ParamValueSelect

    public ParamValueSelect()

- ## Method Details

  - ### paramSelectQuery

    public static void paramSelectQuery(String variable, String linkColumn, StringBuilder selectPart, StringBuilder joinPart, boolean addColumnValueAlias)
    Adds parameter selection query parts.
    Parameters:
      `variable` - the parameter macros, e.g. `param:12`, optionally ended with `:value` or date format suffixes.
      `selectPart` - SELECT part of the query.
      `joinPart` - JOIN part of the query.
      `addColumnValueAlias` - adds the column alias in the query, e.g. `AS param_79_value`.